dnl------------------------------------------------------------------
dnl      Copyright (C) GFD Dennou Club, 2005. All rights reserved.
dnl------------------------------------------------------------------
dnl
dnl= Definitions of Functions for configure
dnl
dnl  * Developers: Eizi TOYODA, Yasuhiro Morikawa
dnl  * Version: $Id: aclocal.m4,v 1.3 2005/05/28 08:58:48 morikawa Exp $
dnl  * Tag Name: $Name: gt4f90io-20050615 $
dnl  * Change History:
dnl
dnl== Overview
dnl
dnl  These functions are reflected to configure script by autoconf 2.13
dnl
dnl

#
#== DC_ARG_WITH(withname, description, varname, ifnot)
#
AC_DEFUN(DC_ARG_WITH, [
	AC_ARG_WITH($1, [  --with-$1=ARG: $2], [
		$3=$withval
	], [
		AC_CACHE_CHECK([$2], $3, [$4])
	])
])

#
#== DC_ARG_ENABLE(feature, description, varname, ifnot)
#
AC_DEFUN(DC_ARG_ENABLE, [
	AC_ARG_ENABLE($1, [  --enable-$1: $2], [
		$3=$enableval
	], [
		AC_CACHE_CHECK([$2], $3, [$4])
	])
])
